#ifndef LAYERCONTAINER_H___
#define LAYERCONTAINER_H___

#pragma once

#include "stdafx.h"

using namespace System;
using namespace System::ComponentModel;
using namespace System::Collections;
using namespace System::Windows::Forms;
using namespace System::Data;
using namespace System::Drawing;

namespace GeoFilterBank
{

	ref class MainWindow;
	ref class Toolbox;
	ref class LayerContainer;


	public ref class LayerContainer : public System::Windows::Forms::Form
	{
	public:
		LayerContainer();
		LayerContainer(LayerContainer% p);

	protected:
		~LayerContainer()
		{
			if (components) delete components;
		}
	public: 
		GeoViewer::GeoViewer^  geoViewer;
		System::ComponentModel::Container ^components;

	#pragma region Windows Form Designer generated code
		void InitializeComponent(void)
		{
			System::ComponentModel::ComponentResourceManager^  resources = (gcnew System::ComponentModel::ComponentResourceManager(LayerContainer::typeid));
			this->geoViewer = (gcnew GeoViewer::GeoViewer());
			this->SuspendLayout();
			// 
			// geoViewer
			// 
			this->geoViewer->Location = System::Drawing::Point(0, 0);
			this->geoViewer->Name = L"geoViewer";
			this->geoViewer->Size = System::Drawing::Size(525, 429);
			this->geoViewer->TabIndex = 0;
			// 
			// LayerContainer
			// 
			this->AutoScaleDimensions = System::Drawing::SizeF(6, 13);
			this->AutoScaleMode = System::Windows::Forms::AutoScaleMode::Font;
			this->ClientSize = System::Drawing::Size(553, 456);
			this->Controls->Add(this->geoViewer);
			this->Icon = (cli::safe_cast<System::Drawing::Icon^  >(resources->GetObject(L"$this.Icon")));
			this->Name = L"LayerContainer";
			this->Text = L"LayerContainer";
			this->Resize += gcnew System::EventHandler(this, &LayerContainer::LayerContainer_Resize);
			this->Activated += gcnew System::EventHandler(this, &LayerContainer::LayerContainer_Activated);
			this->Load += gcnew System::EventHandler(this, &LayerContainer::LayerContainer_Load);
			this->ResumeLayout(false);

		}
	#pragma endregion
	private: 
		void LayerContainer_Load(System::Object^  sender, System::EventArgs^  e);
		void LayerContainer_Resize(System::Object^  sender, System::EventArgs^  e); 
		void LayerContainer_Activated(System::Object^  sender, System::EventArgs^  e); 
	};

}


#endif

