
#include "stdafx.h"

using namespace System::Threading;
using namespace GeoFilterBank;

namespace GeoFilterBank
{
	ref class SplashThreadWrapper{
	public:
		SplashThreadWrapper(SplashScreen^ splash_) { splash = splash_; on = true; }

		void WndThread()
		{
			splash->Show();
			while (on) 
			{
				Application::DoEvents(); 
				if (splash->LabelInfo != nullptr)
				{
					if (splash->LabelLoadMessages->Text != splash->LabelInfo)
					{
						splash->LabelLoadMessages->Text = splash->LabelInfo;
					}
				}
			}
			splash->Close();
			on = true;
		}

		void Start()
		{
			Thread^ thread = gcnew Thread(gcnew ThreadStart(this, &GeoFilterBank::SplashThreadWrapper::WndThread));
			thread->Start();
		}

		SplashScreen^ splash;
		bool on;
	};



	void SplashScreen::ShowSplash()
	{
		//this->Show(); 
		stw = gcnew SplashThreadWrapper(this);
		stw->Start();
	}

	void SplashScreen::CloseSplash()
	{
		stw->on = false;
		while (!(stw->on)) Application::DoEvents();
		delete stw;
		//this->Close();
	}
}

