
#include "stdafx.h"

using namespace System;
using namespace System::ComponentModel;
using namespace System::Collections;
using namespace System::Windows::Forms;
using namespace System::Data;
using namespace System::Drawing;

using namespace GeoFilterBank;


LayerContainer::LayerContainer()
{
	InitializeComponent();
}

LayerContainer::LayerContainer(LayerContainer% p)
{
	InitializeComponent();
}

void LayerContainer::LayerContainer_Load(System::Object^  sender, System::EventArgs^  e) 
{
	LayerContainer_Resize(sender, e);
}

void LayerContainer::LayerContainer_Resize(System::Object^  sender, System::EventArgs^  e) 
{
	geoViewer->Width = ClientSize.Width;
	geoViewer->Height = ClientSize.Height;
}

void LayerContainer::LayerContainer_Activated(System::Object^  sender, System::EventArgs^  e) 
{
	if (MdiParent == nullptr) return;
    if (((MainWindow^)MdiParent)->toolbox_exist) 
		((MainWindow^)MdiParent)->toolbox->SetToolboxParameters(geoViewer->GetZoom(), geoViewer->GetFunctionality());

    ((MainWindow^)MdiParent)->menuViewSelections->Checked = geoViewer->GetSelectionsVisibility();
    ((MainWindow^)MdiParent)->menuViewScrollBars->Checked = geoViewer->GetScrollVisibility();
}
